<template>
  <div v-if="!allowTheme">
    <div class="w-full h-[15vh] flex justify-center items-center">
      <div class="flex flex-col items-center justify-center">
        <h1>{{ referralForDisplay }}</h1>
        <h6 class="flex items-center w-full">
          <span class="pr-1">{{ $t("you've_been_reward") }}</span>
          <el-tooltip>
            <template #content>
              <div class="flex flex-col">
                <div>{{ $t("referral_count") }} : {{ referralCount }}</div>
                <div>{{ $t("reward") }} : {{ totalRewardForDisplay }}</div>
                <div>{{ $t("rebate") }} : {{ rebet }}</div>
              </div>
            </template>
            <font-awesome-icon icon="circle-info" />
          </el-tooltip>
        </h6>
      </div>
    </div>
    <div class="bg-background1 w-full h-[75vh] p-2 flex flex-col items-center">
      <div class="flex justify-center">
        <div class="w-full box-show-data">
          <h5>{{ $t("redeemable") }}</h5>
          <h2>{{ redeemableForDisplay }}</h2>
        </div>
        <div class="w-full box-show-data">
          <h5>{{ $t("redeemed") }}</h5>
          <h2>{{ redeemedForDisplay }}</h2>
        </div>
      </div>
      <div class="flex justify-center">
        <el-button type="primary" plain round @click="onRedeemNow">
          {{ $t("redeem_now") }}
        </el-button>
        <el-dialog
          v-model="dialogVisible"
          custom-class="redeem__dialog"
          :title="$t('redeem')"
          width="95%"
          destroy-on-close
        >
          <referral-modal v-if="!isLoading" />
        </el-dialog>
      </div>
      <div class="flex justify-center">
        <div v-if="!programRule.IsHidden" class="px-10 py-7">
          <div class="referral-rule" v-html="programRule.Text"></div>
          <div class="flex items-center justify-center mt-3">
            <refer-your-friend />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div v-else class="w-full flex justify-center mt-[55px]">
    <div class="flex flex-col justify-end items-center p-0 gap-5 w-[206px]">
      <h1 class="font-bold text-2xl leading-7 text-center bk8-theme">
        {{ isBK8 ? $t('bk8_referral_text') : $t("refer_your_friend_to_get_more_reward") }}
      </h1>
      <div class="w-[200px] h-[191px]">
        <img
          :src="
            getAssetImage(
              'assets/theme/new_black_theme/referral/referral-logo.png'
            )
          "
          alt=""
        />
      </div>
      <div class="p-2 flex flex-col items-center">
        <div class="flex justify-center">
          <div
            v-if="!programRule.IsHidden"
            class="flex flex-col justify-center items-center"
          >
            <div class="referral-rule" v-html="programRule.Text"></div>
            <div class="flex items-center justify-center mt-3">
              <refer-your-friend />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import ReferYourFriend from "./ReferYourFriend.client.vue";
import { store } from "@/store";

export default defineComponent({
  components: {
    ReferYourFriend,
  },
  setup() {
    const {
      referralForDisplay,
      isLoading,
      onRedeemNow,
      rebet,
      referralCount,
      totalForDisplay,
      totalRewardForDisplay,
      redeemedForDisplay,
      redeemableForDisplay,
      dialogVisible,
    } = useReferralComponent();
    const { programRule, referralLink } = useReferral();
    const allowTheme = computed(
      () =>
        store.state.selectedThemeName === "main" ||
        store.state.selectedThemeName === "black"
    );
    const { getAssetImage } = commonHelper;
    const isMobile = !useIsDesktop();
    const isBK8 = computed(()=>store.state.companyThemePropertiesFromApi.ThemeProperties.find((p) => p.HtmlId==='theme_color' && p.Text.toLowerCase() === 'bk8'));
    return {
      referralForDisplay,
      isLoading,
      onRedeemNow,
      totalForDisplay,
      referralCount,
      redeemedForDisplay,
      rebet,
      totalRewardForDisplay,
      redeemableForDisplay,
      dialogVisible,
      programRule,
      referralLink,
      allowTheme,
      getAssetImage,
      isMobile,
      isBK8,
    };
  },
});
</script>
<style lang="postcss" scoped>
.box-show-data {
  @apply border-r-2 flex flex-col items-center my-4 py-3 px-8;
}
.box-show-data:last-child {
  @apply border-r-0;
}
:deep(.el-dialog__title) {
  font-weight: bold;
  font-size: 20px;
  color: var(--text);
}
body.el-popup-parent--hidden {
  @apply blur-sm;
}
.referral-rule {
  @apply flex flex-col gap-4;
}
:deep(.referral-rule h4) {
  text-align: center !important;
}
[theme-color="bk8"] .bk8-theme {
  color: var(--secondary);
}
</style>
